OpenTTD Source: src/clear_cmd.cpp File Reference

OpenTTD Source 14.0-beta1

Functions | Variables
clear_cmd.cpp File Reference
`#include "stdafx.h"`
`#include "clear_map.h"`
`#include "command_func.h"`
`#include "landscape.h"`
`#include "genworld.h"`
`#include "viewport_func.h"`
`#include "core/random_func.hpp"`
`#include "newgrf_generic.h"`
`#include "landscape_cmd.h"`
`#include "table/strings.h"`
`#include "table/sprites.h"`
`#include "table/clear_land.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
static CommandCost | ClearTile_Clear (TileIndex tile, DoCommandFlag flags)
void | DrawClearLandTile (const TileInfo *ti, byte set)
void | DrawHillyLandTile (const TileInfo *ti)
static void | DrawClearLandFence (const TileInfo *ti)
static void | DrawTile_Clear (TileInfo *ti)
static int | GetSlopePixelZ_Clear (TileIndex tile, uint x, uint y, bool)
static Foundation | GetFoundation_Clear (TileIndex, Slope)
static void | UpdateFences (TileIndex tile)
static void | TileLoopClearAlps (TileIndex tile)
| Convert to or from snowy tiles.
static bool | NeighbourIsNormal (TileIndex tile)
| Tests if at least one surrounding tile is non-desert. More...
static void | TileLoopClearDesert (TileIndex tile)
static void | TileLoop_Clear (TileIndex tile)
void | GenerateClearTile ()
static TrackStatus | GetTileTrackStatus_Clear (TileIndex, TransportType, uint, DiagDirection)
static void | GetTileDesc_Clear (TileIndex tile, TileDesc *td)
static void | ChangeTileOwner_Clear (TileIndex, Owner, Owner)
static CommandCost | TerraformTile_Clear (TileIndex tile, DoCommandFlag flags, int, Slope)

## Variables
static const StringID | _clear_land_str []
const TileTypeProcs | _tile_type_clear_procs

## Detailed Description

Commands related to clear tiles.

Definition in file clear_cmd.cpp.

## Function Documentation

## ◆ NeighbourIsNormal()

static bool NeighbourIsNormal | ( | TileIndex | tile | ) |
| inlinestatic

Tests if at least one surrounding tile is non-desert.

Parameters

  tile | tile to check

Returns
  does this tile have at least one non-desert tile around?

Definition at line 213 of file clear_cmd.cpp.

References DIAGDIR_BEGIN, DIAGDIR_END, GetTropicZone(), GetWaterClass(), HasTileWaterClass(), IsValidTile(), TileOffsByDiagDir(), TROPICZONE_DESERT, and WATER_CLASS_SEA.

## Variable Documentation

## ◆ _clear_land_str

const StringID _clear_land_str[]
| static

Initial value:
= {
STR_LAI_CLEAR_DESCRIPTION_GRASS,
STR_LAI_CLEAR_DESCRIPTION_ROUGH_LAND,
STR_LAI_CLEAR_DESCRIPTION_ROCKS,
STR_LAI_CLEAR_DESCRIPTION_FIELDS,
STR_LAI_CLEAR_DESCRIPTION_SNOW_COVERED_LAND,
STR_LAI_CLEAR_DESCRIPTION_DESERT
}

Definition at line 349 of file clear_cmd.cpp.

## ◆ _tile_type_clear_procs

const TileTypeProcs _tile_type_clear_procs

Initial value:
= {
DrawTile_Clear,
GetSlopePixelZ_Clear,
ClearTile_Clear,
nullptr,
GetTileDesc_Clear,
GetTileTrackStatus_Clear,
nullptr,
nullptr,
TileLoop_Clear,
ChangeTileOwner_Clear,
nullptr,
nullptr,
GetFoundation_Clear,
TerraformTile_Clear,
}